Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 974945 - BPM Component ignores output mapping
Summary: BPM Component ignores output mapping
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: SwitchYard
Version: 6.0.0 GA
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: DR6
: 6.0.0
Assignee: Keith Babo
QA Contact: Jiri Pechanec
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-17 08:32 UTC by Jiri Pechanec
Modified: 2014-06-16 23:52 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
In previous versions, users would encounter problems with mapping. Global mappings were not inserted as global variables in the knowledge runtime. This would result in them being ignored by the BPM component. This has been fixed in the current version.
Clone Of:
Environment:
Last Closed: 2014-02-06 15:26:47 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker SWITCHYARD-1382 0 Critical Closed Rules and BPM Variable Handling Fixes 2014-06-16 23:51:59 UTC

Description Jiri Pechanec 2013-06-17 08:32:18 UTC
I'd expect I can use a similar mapping as I can use for input mapping, so for example for input I set

Process/in = message.content

But if I try it for output mapping like this

Process/out = message.content then it does not work. It is hardcoded in BPMExchangeHandler.handleOutput() that I need to use 'contentOutput' parameter to set a message content based on a BPM variable and the other variables are propagated automatically as context properties.

As tooling by default proposes message.content as a default for output mapping and documentation does not speak about magic names I suppose this is a bug.

Comment 1 Jiri Pechanec 2013-06-17 08:47:59 UTC
Also please look at Actions tab for BPM Component, tables Input and Output, column names Expression and Variable are VERY confusing as they means something completely different in these two contexts.

Comment 2 Keith Babo 2013-06-17 11:13:59 UTC
This is fixed in https://issues.jboss.org/browse/SWITCHYARD-1382 for 1.0.  This change should be in Alpha 2.

Comment 6 Jiri Pechanec 2013-10-21 12:18:13 UTC
Verified in ER6

Comment 7 JBoss JIRA Server 2014-06-16 23:52:00 UTC
Keith Babo <kbabo@redhat.com> updated the status of jira SWITCHYARD-1382 to Closed


Note You need to log in before you can comment on or make changes to this bug.